---
title: BigInt.prototype.valueOf()
slug: Web/JavaScript/Reference/Global_Objects/BigInt/valueOf
tags:
  - BigInt
  - JavaScript
  - Method
  - Prototype
  - valueOf()
---
<div>{{JSRef}}</div>

<p>The <strong><code>valueOf()</code></strong> method returns the wrapped primitive value of a {{jsxref("BigInt")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/bigint-valueof.html","shorter")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>bigIntObj</var>.valueOf()</pre>

<h3 id="Return_value">Return value</h3>

<p>A BigInt representing the primitive value of the specified {{jsxref("BigInt")}} object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_valueOf">Using <code>valueOf</code></h3>

<pre class="brush: js">typeof Object(1n); // object
typeof Object(1n).valueOf(); // bigint
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-bigint.prototype.valueof', 'BigInt.prototype.valueOf()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.BigInt.valueOf")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("BigInt.prototype.toString()")}}</li>
</ul>
